<?xml version="1.0"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://github.com/247321453/ModBox/raw/master/MHWModConfig.xsd">
  <!-- 凡是名字和描述的字段，都建议用<![CDATA[内容]]>这种格式。压缩包里面的ModuleConfig.xml -->
  <moduleName position="Left" colour="000000"><![CDATA[美化整>>合]]></moduleName>
  <version>1.0</version>
  <author><![CDATA[作者]]></author>
  <description><![CDATA[<<描述>>]]></description>
  <moduleImage path="iamge/1.png" /><!-- 预览图png,jpg,bmp -->
  <requiredInstallFiles><!-- 主体 -->
    <!-- 文件 -->
    <file source="1.text" destination="/nativePC/wp/1/2.text" priority="0" />
    <!-- 文件夹 -->
    <folder source="wp/1" destination="/nativePC/wp/1" priority="0" />
  </requiredInstallFiles>
  <installSteps order="Explicit"><!-- 下一步这种页面-->
    <installStep name="发型"><!-- 发型页面-->
      <optionalFileGroups order="Explicit"><!-- 页面分组-->
        <group name="单选测试" type="SelectExactlyOne"><!-- 必须且最多选一个 -->
          <plugins order="Explicit"><!-- 插件内容列表 -->
            <plugin name="1到22肩"><!-- 插件内容详情 -->
              <description><![CDATA[测]]></description>
              <image path="images/1111.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/11" destination="/nativePC/hair/1" priority="0" />
              </files>
              <typeDescriptor>
                <type name="Optional" />
              </typeDescriptor>
            </plugin>
            <plugin name="77到2腰"><!-- 插件内容详情 -->
              <description><![CDATA[单选测试，默认非第一]]></description>
              <image path="images/2222.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/222" destination="/nativePC/hair/2" priority="0" />
              </files>
              <typeDescriptor>
                <type name="Recommended" /><!-- 默认选中，如果是SelectExactlyOne，列表里面没有设置Recommended的插件，则默认第一个 -->
              </typeDescriptor>
            </plugin>
          </plugins>
        </group>
        <group name="任意可选" type="SelectAny"><!-- 任意选，0个或者多个 -->
          <plugins order="Explicit"><!-- 插件内容列表 -->
            <plugin name="551到肩(前置)"><!-- 插件内容详情 -->
              <description><![CDATA[必选测试]]></description>
              <image path="images/1111.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/11" destination="/nativePC/hair/1" priority="0" />
              </files>
              <typeDescriptor>
                <type name="Required" /><!-- 前置，打勾才可以选择下面 -->
              </typeDescriptor>
            </plugin>
            <plugin name="到2腰11"><!-- 插件内容详情 -->
              <description><![CDATA[长度到肩222]]></description>
              <image path="images/2222.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/222" destination="/nativePC/hair/2" priority="0" />
              </files>
              <typeDescriptor>
                <type name="Optional" />
              </typeDescriptor>
            </plugin>
          </plugins>
        </group>
        <group name="任意可选2" type="SelectAny"><!-- 任意选，0个或者多个 -->
          <plugins order="Explicit"><!-- 插件内容列表 -->
            <plugin name="1到22肩"><!-- 插件内容详情 -->
              <description><![CDATA[长度到肩111]]></description>
              <image path="images/1111.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/11" destination="/nativePC/hair/1" priority="0" />
              </files>
              <typeDescriptor>
                <type name="Optional" />
              </typeDescriptor>
            </plugin>
            <plugin name="到233腰"><!-- 插件内容详情 -->
              <description><![CDATA[默认选中]]></description>
              <image path="images/2222.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/222" destination="/nativePC/hair/2" priority="0" />
              </files>
              <typeDescriptor>
                <type name="Recommended" /><!-- 默认选中 -->
              </typeDescriptor>
            </plugin>
          </plugins>
        </group>
        <group name="替换马尾" type="SelectAny"><!-- 任意选，0个或者多个 -->
          <plugins order="Explicit"><!-- 插件内容列表 -->
            <plugin name="到肩112"><!-- 插件内容详情 -->
              <description><![CDATA[长度到肩333]]></description>
              <image path="images/1111.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/11" destination="/nativePC/hair/1" priority="0" />
              </files>
              <typeDescriptor>
                <type name="Required" /><!-- 前置，打勾才可以选择下面 -->
              </typeDescriptor>
            </plugin>
            <plugin name="到肩4444"><!-- 插件内容详情 -->
              <description><![CDATA[长度到肩222333]]></description>
              <image path="images/1111.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/11" destination="/nativePC/hair/1" priority="0" />
              </files>
              <conditionFlags>
                <flag name="B">On</flag><!-- 添加B的flag -->
              </conditionFlags>
              <typeDescriptor>
                <type name="Optional" />
              </typeDescriptor>
            </plugin>
            <plugin name="到腰22(脸部前置)">
              <description><![CDATA[长度到肩444]]></description>
              <image path="images/2222.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/222" destination="/nativePC/hair/2" priority="0" />
              </files>
              <conditionFlags>
                <flag name="A">On</flag><!-- 添加A的flag -->
              </conditionFlags>
              <typeDescriptor>
                <type name="Optional" />
              </typeDescriptor>
            </plugin>
          </plugins>
        </group>
      </optionalFileGroups>
    </installStep>
    <installStep name="脸部">
      <visible operator="And"><!-- 可以添加多个flag，当这些flag都满足就显示，否则隐藏这页 -->
        <flagDependency flag="A" value="On" />
      </visible>
      <optionalFileGroups order="Explicit">
        <group name="美白" type="SelectExactlyOne">
          <plugins order="Explicit">
            <plugin name="2k">
              <description><![CDATA[长度到肩]]></description>
              <image path="images/1111.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/11" destination="/nativePC/hair/1" priority="0" />
              </files>
              <typeDescriptor>
                <type name="Optional" />
              </typeDescriptor>
            </plugin>
            <plugin name="4k">
              <description><![CDATA[长度到肩]]></description>
              <image path="images/2222.jpg"  />
              <files>
                <file source="1.text" destination="/nativePC/hair/1/2.text" priority="0" />
                <folder source="hair/222" destination="/nativePC/hair/2" priority="0" />
              </files>
              <typeDescriptor>
                <type name="Optional" />
              </typeDescriptor>
            </plugin>
          </plugins>
        </group>
      </optionalFileGroups>
    </installStep>
  </installSteps>
  <conditionalFileInstalls><!-- 根据上面选择，做出一下兼容补丁之类的 -->
    <patterns>
      <pattern>
        <dependencies operator="And"><!-- 上面添加了A和B的flag，就需要复制文件  -->
          <flagDependency flag="A" value="On" />
          <flagDependency flag="B" value="On" />
        </dependencies>
        <files>
          <file source="1.text" destination="/nativePC/wp/1/2.text" priority="0" />
          <folder source="wp/1" destination="/nativePC/wp/1" priority="0" />
        </files>
      </pattern>
      <pattern>
        <dependencies operator="Or"><!-- 上面添加了C或D的flag，就需要复制文件 -->
          <flagDependency flag="C" value="On" />
          <flagDependency flag="D" value="On" />
        </dependencies>
        <files>
          <file source="122.text" destination="/nativePC/wp/1/2.text" priority="0" />
          <folder source="wp/122" destination="/nativePC/wp/1" priority="0" />
        </files>
      </pattern>
    </patterns>
  </conditionalFileInstalls>
</config>